fprintf('## STIMA_Lapl_BFEsplit\n');
STIMA_Lapl_BFEsplit([0 0; 2 0; 2 1.5; 0.2 1.2])

fh = @(x,varargin) ones(size(x,1),1); 
u0h = @(x,varargin) sin(pi*x(:,1)) .* sin(pi*x(:,2));
Mesh.Coordinates = [0 0; 1 0; 2 0; 0 1; 1 1; 2 1; 0 2; 1 2; 2 2]; 
Mesh.Elements = [1 2 5 4; 2 3 6 5; 4 5 8 7; 5 6 9 8];
Mesh = add_Edges(Mesh);
loc = get_BdEdges(Mesh); 
Mesh.BdFlags = zeros(size(Mesh.Edges,1),1); 
Mesh.BdFlags(loc) = -1;
Mesh.ElemFlag = zeros(size(Mesh.Elements,1),1);

M = assemMat_BFE(Mesh, @MASS_BFE, TProd(gauleg(0,1,4)));
u0 = assemLoad_BFE(Mesh, TProd(gauleg(0,1,4)), u0h);
u0 = M\u0;

q = Parb_Evl_BFE(Mesh, u0, fh, 1, 10);

fprintf('## Parb_Evl_BFE\n');
sum(abs([q(1:4); q(6:end)]))
q(5)
